<?php

App::uses('AppShell', 'Console/Command');

App::uses('VariantPricing', 'EvShop.Model');
App::uses('Currency', 'EvCurrency.Model');

class UpdatePricingShell extends AppShell {

	public $tasks = [
		'EvShop.QueueUpdatePricing'
	];

	/**
	 * used to update the pricing rates by forcing a save on the variant pricing records for the
	 * default currency.
	 */
	public function update() {
		return $this->QueueUpdatePricing->run(null, null);
	}
}
